Skip to main content
GET
/
v1
/
voice-agents
/
web-tool
/
list
Return a list of Web Tools.
curl --request GET \
  --url https://api.tryhamsa.com/v1/voice-agents/web-tool/list \
  --header 'Authorization: <api-key>'
{
  "success": false,
  "message": "success",
  "data": {
    "total": 100,
    "filtered": 100,
    "items": [
      {
        "id": "d949f13f-40d2-4e48-ac86-b66633070603",
        "persistentId": "cmjx8qzw0000004kz3jek1ktu",
        "version": 1,
        "name": "Weather API Tool",
        "type": "FUNCTION",
        "userId": "550e8400-e29b-41d4-a716-446655440000",
        "projectId": "d949f13f-40d2-4e48-ac86-b66633070603",
        "isActive": true,
        "async": true,
        "description": "A tool that fetches current weather information for a given location.",
        "collectionId": "550e8400-e29b-41d4-a716-446655440000",
        "toolSettings": {
          "serverUrl": "https://api.example.com/webhook",
          "httpHeaders": {
            "Content-Type": "application/json",
            "Authorization": "Bearer token"
          },
          "pathParameters": {
            "userId": "12345"
          },
          "timeout": 5000,
          "authToken": "bearer_token_12345",
          "methodType": "POST"
        },
        "params": {
          "location": {
            "type": "string",
            "description": "The location to get weather for"
          }
        },
        "messages": [
          {
            "type": "system",
            "content": "You are a helpful weather assistant."
          }
        ]
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tryhamsa.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Pass the API key in the Authorization header, You need to put Token keyword before the API key. e.g. 'Authorization: Token '

Query Parameters

voiceAgentId
string<uuid>

Optional UUID of the voice agent to filter associated web tools.

Example:

"d949f13f-40d2-4e48-ac86-b66633070603"

isActive
boolean

Optional boolean indicating whether to fetch active web tools or not.

Example:

true

skip
string

Page number for pagination. Defaults to '1'.

Example:

"1"

take
string

Number of items to take for pagination. Defaults to '10'.

Example:

"10"

type
enum<string>

The type of the web tool to filter.

Available options:
MCP,
FUNCTION,
WEB_TOOL
Example:

"MCP"

A search query to filter web tools.

Example:

"Get callee info"

Response

Successful response

success
boolean
default:false
message
string
default:success
data
object